Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 254111 - Subword completion does not propose most correct match - check also getter/setter
Subword completion does not propose most correct match - check also getter/se...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
8.1
PC Windows 7
: P3 (vote)
: 8.1
Assigned To: Dusan Balek
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 19:14 UTC by markiewb
Modified: 2015-08-05 01:19 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Shows same (failing) examples in NB8.1b (130.33 KB, image/png)
2015-08-03 19:14 UTC, markiewb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2015-08-03 19:14:38 UTC
Created attachment 155152 [details]
Shows same (failing) examples in NB8.1b

In addition to https://netbeans.org/bugzilla/show_bug.cgi?id=248010

Subword completion should respect getter/setter prefix

For example

org.openide.nodes.Node node; //CC at |
node.name|  //should preselect getName not canRename
node.sname| //should preselect setName not setDisplayName
node.action|//should preselect getActions not addPropertyChangeListener


Product Version: NetBeans IDE 8.1 Beta (Build 201507231027)
Java: 1.8.0_60-ea; Java HotSpot(TM) 64-Bit Server VM 25.60-b23
Runtime: Java(TM) SE Runtime Environment 1.8.0_60-ea-b25
System: Windows 7 version 6.1 running on amd64; Cp1252; en_US (nb)
Comment 1 Dusan Balek 2015-08-04 08:50:09 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/02090d9718eb
Comment 2 Quality Engineering 2015-08-05 01:19:54 UTC
Integrated into 'main-silver', will be available in build *201508050002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/02090d9718eb
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #254111 - Subword completion does not propose most correct match - check also getter/setter - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo